pam_pkcs11 0.6.8

- Main Page
- Data Structures
- Files
- Directories

- File List
- Globals

Data Structures | Defines | Typedefs | Functions
internal.h File Reference

Go to the source code of this file.

## Data Structures

struct | _scconf_parser

## Defines

#define | TOKEN_TYPE_COMMENT 0
#define | TOKEN_TYPE_NEWLINE 1
#define | TOKEN_TYPE_STRING 2
#define | TOKEN_TYPE_PUNCT 3

## Typedefs

typedef struct _scconf_parser | scconf_parser

## Functions

int | scconf_lex_parse (scconf_parser *parser, const char *filename)
int | scconf_lex_parse_string (scconf_parser *parser, const char *config_string)
void | scconf_parse_token (scconf_parser *parser, int token_type, const char *token)

## Define Documentation

#define TOKEN_TYPE_COMMENT 0

Definition at line 29 of file internal.h.

#define TOKEN_TYPE_NEWLINE 1

Definition at line 30 of file internal.h.

#define TOKEN_TYPE_PUNCT 3

Definition at line 32 of file internal.h.

#define TOKEN_TYPE_STRING 2

Definition at line 31 of file internal.h.

## Typedef Documentation

typedef struct _scconf_parser scconf_parser

## Function Documentation

int scconf_lex_parse | ( | scconf_parser * | parser,
|  | const char * | filename
| ) |  |

int scconf_lex_parse_string | ( | scconf_parser * | parser,
|  | const char * | config_string
| ) |  |

void scconf_parse_token | ( | scconf_parser * | parser,
|  | int | token_type,
|  | const char * | token
| ) |  |